Package tigase.conf

# Enum Class OldConfigHolder.Format

java.lang.Object
java.lang.Enum<OldConfigHolder.Format>
tigase.conf.OldConfigHolder.Format

All Implemented Interfaces:
  `Serializable`, `Comparable<OldConfigHolder.Format>`, `Constable`

Enclosing class:
  OldConfigHolder

public static enum OldConfigHolder.Format extends Enum<OldConfigHolder.Format>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `dsl`
  `properties`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static OldConfigHolder.Format`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static OldConfigHolder.Format[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### dsl

    public static final OldConfigHolder.Format dsl

  - ### properties

    public static final OldConfigHolder.Format properties

- ## Method Details

  - ### values

    public static OldConfigHolder.Format[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static OldConfigHolder.Format valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null